We use these services and cookies to improve your user experience. You may opt out if you wish, however, this may limit some features on this site.

Please see our statement on Data Privacy.

Zendesk (Helpdesk and Chat)
Bugpilot (Bug tracking)

Ok

THREATINT CVE Home CVE Diag Help
PUBLISHED

CVE-2024-30166

Reserved:2024-03-24
Published:2024-04-03
Updated:2024-04-03

Description

In Mbed TLS 3.3.0 through 3.5.2 before 3.6.0, a malicious client can cause information disclosure or a denial of service because of a stack buffer over-read (of less than 256 bytes) in a TLS 1.3 server via a TLS 3.1 ClientHello.

References

https://mbed-tls.readthedocs.io/en/latest/tech-updates/security-advisories/

https://github.com/Mbed-TLS/mbedtls/releases/tag/v3.6.0

cve.org CVE-2024-30166

nvd.nist.gov CVE-2024-30166

Download JSON

Share this page
https://cve.threatint.com/CVE/CVE-2024-30166